---
title: How to add or update browser compatibility data
slug: MDN/Contribute/Howto/Add_or_update_browser_compatibility_data
tags:
  - Guide
  - Howto
  - MDN Meta
---
<div>{{MDNSidebar}}</div>

<p class="summary"><span class="seoSummary">If you have information about browser compatibility of Web features — or are willing and able to do some research and/or experimentation — you can help update MDN's <a class="external external-icon" href="https://github.com/mdn/browser-compat-data/" rel="noopener">Browser Compatibility Data</a> (BCD).</span></p>

<dl>
 <dt>Where does it need to be done?</dt>
 <dd>
 <p>There are several ways that you can help improve browser compatibility information on MDN:</p>

 <ul>
  <li>Add data for web features not yet included in the BCD repository</li>
  <li>Update existing data with new information based on either changes to new versions of browsers, correcting mistakes in existing data, or updates to the features of a given technology</li>
  <li>Submit pull requests to address <a class="external external-icon" href="https://github.com/mdn/browser-compat-data/issues" rel="noopener">BCD issues filed on Github</a>.</li>
 </ul>
 </dd>
 <dt>What do you need to know to do the task?</dt>
 <dd>
 <ul>
  <li>Familiarity with using Github</li>
  <li>Familiarity with using JSON</li>
  <li>Information about, or ability to test for, compatibility of web standards features in different browsers. You can also convert "old" compatibility table data into JSON.</li>
 </ul>
 </dd>
 <dt>What are the steps to do the task?</dt>
 <dd>For details on how to update the <a class="glossaryLink" href="/en-US/docs/Glossary/JSON">JSON</a> files that make up the BCD repository on Github, see our article on <a href="/en-US/docs/MDN/Contribute/Structures/Compatibility_tables">compatibility tables</a>. For a list of issues that we're specifically looking for help with, look for <a class="external external-icon" href="https://github.com/mdn/browser-compat-data/issues?q=is%3Aissue+is%3Aopen+label%3A%22help+wanted%22" rel="noopener">Github issues with the "Help Wanted" tag</a>.</dd>
</dl>
